## mouse 0.1

=== Makefile ===
#
# Makefile for the mouse drivers.
#

CONFIG_MOUSE_PS2_ALPS=y
CONFIG_MOUSE_PS2_ELANTECH=y
CONFIG_MOUSE_PS2_OLPC=y
CONFIG_MOUSE_PS2_LOGIPS2PP=y
CONFIG_MOUSE_PS2_LIFEBOOK=y
CONFIG_MOUSE_PS2_SENTELIC=y
CONFIG_MOUSE_PS2_TRACKPOINT=y
# CONFIG_MOUSE_PS2_TOUCHKIT is not set

obj-m += psmouse.o
psmouse-objs := psmouse-base.o synaptics.o

psmouse-$(CONFIG_MOUSE_PS2_ALPS)	+= alps.o
psmouse-$(CONFIG_MOUSE_PS2_ELANTECH)	+= elantech.o
psmouse-$(CONFIG_MOUSE_PS2_OLPC)	+= hgpk.o
psmouse-$(CONFIG_MOUSE_PS2_LOGIPS2PP)	+= logips2pp.o
psmouse-$(CONFIG_MOUSE_PS2_LIFEBOOK)	+= lifebook.o
psmouse-$(CONFIG_MOUSE_PS2_SENTELIC)	+= sentelic.o
psmouse-$(CONFIG_MOUSE_PS2_TRACKPOINT)	+= trackpoint.o
psmouse-$(CONFIG_MOUSE_PS2_TOUCHKIT)	+= touchkit_ps2.o

all:
	make -C /lib/modules/$(KVER)/build M=`pwd` modules

clean:
	make -C /lib/modules/$(KVER)/build M=`pwd` clean

=== debian/changelog ===
mouse (0.1-1ubuntu1~natty2) natty; urgency=low

  * Removed CONFIG_MOUSE_PS2_OLPC since it depends !X86_PAE

 -- Keng-Yu Lin <keng-yu.lin@ubuntu.com>  Fri, 27 May 2011 09:56:22 +0800

mouse (0.1-1ubuntu1~natty1) natty; urgency=low

  * Add Intellimouse Mode for Lenovo Zhaoyang E47

 -- Keng-Yu Lin <keng-yu.lin@ubuntu.com>  Thu, 26 May 2011 15:46:23 +0800

=== debian/control ===
Source: mouse
Section: kernel
Priority: optional
Maintainer: Keng-Yu Lin <keng-yu.lin@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), dkms (>=1.95)
Standards-Version: 3.9.1

Package: mouse-dkms
Architecture: all
Depends: dkms (>= 1.95), linux-headers-generic (>= 2.6) | linux-headers, findutils (>= 4), ${misc:Depends}
Description: mouse driver in DKMS format.
 This package contains mouse driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEBVERS  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2 \
                | cut -d- -f1)
VERSION  := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

NAME = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(NAME)

SRC = $(TMP)/usr/src

%:
	dh --with dkms $@

override_dh_auto_build:
override_dh_auto_clean:

override_dh_auto_install:
	install -d "$(SRC)"
	mkdir "$(SRC)/$(NAME)-$(VERSION)"
	cp -a `ls | grep -v debian` "$(SRC)/$(NAME)-$(VERSION)"
	chmod 644 -R "$(SRC)/$(NAME)-$(VERSION)"
	find "$(SRC)/$(NAME)-$(VERSION)" -type d -exec chmod 755 {} \;

	sed -e 's/#VERSION#/$(VERSION)/' $(CURDIR)/debian/dkms.conf.in \
	  > "$(SRC)/$(NAME)-$(VERSION)/dkms.conf"
